/* Peter Senna Tschudin - peter.senna@gmail.com */

#include "hzdef.h" /* for CPU_HZ */

#include <stdio.h>
#include <stdint.h>
#include <time.h>
#include <unistd.h>
#include <math.h>
#include <sys/time.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>

/* Functions used to benchmark some code */
void inline MATRIX1	( struct timespec *ts, struct timespec *te );
void inline MATRIX2	( struct timespec *ts, struct timespec *te );
void inline MATRIX3	( struct timespec *ts, struct timespec *te );
void inline MATRIX4	( struct timespec *ts, struct timespec *te );
void inline MATRIX5	( struct timespec *ts, struct timespec *te );
void inline MATRIX6	( struct timespec *ts, struct timespec *te );

void initmatrix();
void inline MATRIX7	( struct timespec *ts, struct timespec *te );

void inline MATRIX8	( struct timespec *ts, struct timespec *te );

static __inline__ void getticks(struct timespec *ts);
long double accuracy ( int repeats, int detailed );
void inline measure (char msg[32], int repeats, int detailed, void (*function)( struct timespec *ts, struct timespec *te ) );
